from grapple.models import GraphQLStreamfield
from wagtail.admin.panels import FieldPanel
from wagtail.models import Page

from dnscms.fields import CommonStreamField


class GenericPage(Page):
    subpage_types = ["generic.GenericPage"]
    show_in_menus = True

    body = CommonStreamField

    content_panels = Page.content_panels + [
        FieldPanel("body", heading="Innhold"),
    ]

    graphql_fields = [
        GraphQLStreamfield("body"),
    ]
